WordPress.org

Forums

Wordfence Security
[resolved] Error on Installation - siteurl depricated (2 posts)

  1. dyspersion media
    Member
    Posted 2 years ago #

    Hi Mark -- I just installed Wordfence, activated it on a local, multisite install and immediately got the following error:

    Wordfence generated an error on activation. Please report this on our support forum. The output we received during activation was:
    <b>Notice</b>: get_bloginfo was called with an argument that is deprecated since version 2.2! The siteurl option is deprecated for the family of bloginfo() functions. Use the url option instead. in <b>/Applications/MAMP/htdocs/wp34/wp-includes/functions.php</b> on line <b>2789</b>

    <b>Notice</b>: get_bloginfo was called w...[output truncated]

    A quick multi-file search of the Wordfence directory shows there's a call to get_bloginfo('siteurl') in wfAPI.php, like 158.

    Cheers,
    Scott

    http://wordpress.org/extend/plugins/wordfence/

  2. Wordfence
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks Scott,

    I've logged this issue and we'll get it fixed.

    Regards,

    Mark.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Wordfence Security
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.